Subject: Re: randconfig build error with next-20131210, in drivers/crypto/ccp/ccp-pci.c

From: Randy Dunlap <[email-masked]>
Date: Thu, 19 Dec 2013 11:35:09 -0800

On 12/10/13 07:34, Tom Lendacky wrote:
> 
> On Tuesday, December 10, 2013 07:21:36 AM Jim Davis wrote:
>> Building with the attached random configuration file,
>>
>> drivers/crypto/ccp/ccp-pci.c: In function ‘ccp_get_msix_irqs’:
>> drivers/crypto/ccp/ccp-pci.c:44:20: error: array type has incomplete
>> element type
>> drivers/crypto/ccp/ccp-pci.c:48:18: error: negative width in bit-field
>> ‘<anonymous>’
>> drivers/crypto/ccp/ccp-pci.c:51:2: error: implicit declaration of
>> function ‘pci_enable_msix’ [-Werror=implicit-function-declaration]
>> drivers/crypto/ccp/ccp-pci.c:76:2: error: implicit declaration of
>> function ‘pci_disable_msix’ [-Werror=implicit-function-declaration]
>> drivers/crypto/ccp/ccp-pci.c:44:20: warning: unused variable
>> ‘msix_entry’ [-Wunused-variable]
>> drivers/crypto/ccp/ccp-pci.c: In function ‘ccp_get_msi_irq’:
>> drivers/crypto/ccp/ccp-pci.c:89:2: error: implicit declaration of
>> function ‘pci_enable_msi’ [-Werror=implicit-function-declaration]
>> drivers/crypto/ccp/ccp-pci.c:102:2: error: implicit declaration of
>> function ‘pci_disable_msi’ [-Werror=implicit-function-declaration]
>> cc1: some warnings being treated as errors
>> make[3]: *** [drivers/crypto/ccp/ccp-pci.o] Error 1
> 
> Thanks for finding this, I'll update to the Kconfig to add PCI to
> the 'depends on' statement.

Tom,

Can you get this patch and the HW_RANDOM patch merged into linux-next, please?
linux-next builds are still failing for both of these reasons.

thanks,
-- 
~Randy